Ask Your Question
1

Installation of ROS-velodyne-Package

asked 2012-05-30 23:38:29 -0500

Flowers gravatar image

updated 2012-05-31 04:54:59 -0500

joq gravatar image

Hey,

I'm new to ROS, so don't be mad :-)

I want to install the velodyne_driver(actually the whole velodyne related stuff), and my best guess was, that this command would do that:

rosinstall $ROS_WORKSPACE http://utexas-art-ros-pkg.googlecode.com/svn/trunk/stacks/velodyne/velodyne_driver

This is the error I get:

ERROR in config: Invalid multiproject yaml format in [http://utexas-art-ros-pkg.googlecode.com/svn/trunk/stacks/velodyne/velodyne_driver]: while scanning a simple key in "<file>", line 2, column 1 could not found expected ':' in "<file>", line 3, column 40

OS: Ubuntu 12.04 ROS: Fuerte

edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
1

answered 2012-05-31 04:54:34 -0500

joq gravatar image

updated 2012-05-31 05:07:40 -0500

For Ubuntu 12.04 Fuerte, there is a binary package already available:

sudo apt-get install ros-fuerte-velodyne

For building the latest trunk from source, I recommend rosws:

roslocate info velodyne | rosws merge -

As always, use the trunk at your own risk. It is pretty stable right now. In fact, there is one bug fix there that is not yet released (but coming soon).

edit flag offensive delete link more
1

answered 2012-05-31 00:14:14 -0500

dornhege gravatar image
edit flag offensive delete link more

Comments

That works, but checks out several other large stacks that many people will not need. I will create a velodyne-only rosinstall file in that same directory for this purpose.

joq gravatar image joq  ( 2012-05-31 04:59:50 -0500 )edit
1

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2012-05-30 23:38:29 -0500

Seen: 1,295 times

Last updated: May 31 '12